Subject: Re: GIT for Microsoft Access projects

From: Sitaram Chamarty <[email-masked]>
Date: Tue, 09 Jun 2015 19:24:51 +0530

On 06/08/2015 09:44 PM, Konstantin Khomoutov wrote:
> On Mon, 8 Jun 2015 9:45:17 -0500
> <[email-masked]> wrote:
> 
> [...]
>> My question is, will GIT work with MS access forms, queries, tables,
>> modules, etc?
> [...]
> 
> Git works with files.  So in principle it will work with *files*
> containing your MS access stuff.
> 
> But Git will consider and treat those files as opaque blobs of data.
> That is, you will get no "fancy diffing" like asking Git to graphically

More importantly, you won't get any *merging*, which means you need to
be careful about two developers making changes to the same file.

This is the only situation where locking (a feature that is inherently
at odds with the idea of a *distributed* VCS) is useful.

> (or otherwise) show you what exact changes have been made to a
> particular form or query between versions X and Y of a given MS access
> document -- all it will be able to show you is commit messages
> describing those changes.
> 
> So... If you're fine with this setting, Git will work for you,
> but if not, it won't.
> 
> One last note: are you really sure you want an SCM/VCS tool to manage
> your files and not a document management system (DMS) instead?
> I mean stuff like Alfresco (free software by the way) and the like.
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>